Page MenuHomePhabricator

`$wgexLingoUseNamespaces[NS_SPECIAL] = false;` not working
Closed, ResolvedPublic

Description

Setup and configuration

  • MediaWiki | 1.29.2 (3869ac0)08:59, 15 November 2017
  • PHP | 5.6.30-0+deb8u1 (apache2handler)
  • MariaDB | 10.0.33-MariaDB-1~jessie
  • Semantic MediaWiki | 3.0.0-alpha (e48a508) 01:18, 15 November 2017
  • Semantic Glossary | 2.2.0 (a1c4e74) 11:43, 4 November 2017
  • Lingo 2.0.3 (2b4b975) 11:23, 4 November 2017

Issue

In case glossary term SMW is defined this terms kicks in on special page "Semantic MediaWiki" and breaks the display, i.e. instead of a hoverable tool tip the term definition is displayed directly. I personally think SG should not kick in on special pages at all.

Setting $wgexLingoUseNamespaces[NS_SPECIAL] = false; after the inclusion of Semantic Glossary does not disable this behaviour.

Originally reported on GitHub.

Event Timeline

Kghbln created this task.Nov 16 2017, 10:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2017, 10:23 PM
Kghbln updated the task description. (Show Details)Nov 16 2017, 10:24 PM
Kghbln updated the task description. (Show Details)

Fixed in bee2f0a. Tooltips outside the main content (including all Special pages) is now disabled.

Foxtrott closed this task as Resolved.Mar 23 2018, 10:58 PM
Foxtrott claimed this task.